<?php
$arr_user=array();
if(isset($get_act)&&$get_act=="save_pwd"){
	$obj_tab_msgbook=new cls_tab_other_msgbook();
	$arr_fields=array();
	if(!isset($get_msg_name)||$get_msg_name==""){
		$obj_msg->alert("咨询姓名不能为空！");
		$obj_msg->on_history_back();
		exit;
	}
	if(!isset($get_msg_msg)||$get_msg_msg==""){
		$obj_msg->alert("咨询内容不能为空！");
		$obj_msg->on_history_back();
		exit;
	}
	if(isset($get_msg_hide)) $arr_fields["msg_hide"]=$get_msg_hide;
	$arr_fields["msg_name"]=$get_msg_name;
	$arr_fields["msg_tel"]=$get_msg_tel;
	$arr_fields["msg_email_qq"]=$get_msg_email_qq;
	$arr_fields["msg_area"]=$get_msg_area;
	$arr_fields["msg_msg"]=$get_msg_msg;
	$arr_msg=$obj_tab_msgbook->on_save($arr_fields);
	if($arr_msg["err"]!=""){
		$obj_msg->alert($arr_msg["err"]);
	}else{
		$obj_msg->alert("成功提交，请关注回复！");
	}

}
$obj_result = $obj_db->query("SELECT * FROM ".DB_PRE."hr_resume where resume_user_id='".$obj_ctl_user->id."'");
if($obj_rs = $obj_db->fetch_array($obj_result))
{
	$arr_resume = $obj_rs;
}else{
	//没有简介时，初始数据
	$arr_x=$obj_db->get_fields(DB_PRE."hr_resume");
	foreach($arr_x as $item){
		$arr_resume[$item]="";
	}
}
$int_pagesize=20;
(isset($get_page))?$get_page=intval($get_page):$get_page=1;
$str_where=" where msg_user_id='".$obj_ctl_user->id."'";
$obj_rs  = $obj_db->get_one("SELECT count(*) as num FROM ".DB_PRE."other_msgbook".$str_where);
$int_total=$obj_rs["num"];
$int_pages= ceil($int_total/$int_pagesize);
$get_page = min($int_pages, $get_page);
$get_page = max($get_page, 1);
$page_split_page=get_pages_html($int_total, $get_page, $int_pagesize,"?app=".$get_app);
$int_offset = $int_pagesize*($get_page-1);
$str_limit = " limit ".$int_offset.",".$int_pagesize;
$obj_result = $obj_db->query("SELECT * FROM ".DB_PRE."other_msgbook".$str_where." order by msg_addtime desc".$str_limit);
$arr_msgbook=array();
while($obj_rs = $obj_db->fetch_array($obj_result)){
	$obj_rs["addtime"]=format_date($obj_rs["msg_addtime"],"Y-m-d");
	$arr_msgbook[]=$obj_rs;
}

?>